# $Revision: 1.45 $, $Date: 2007-02-13 07:47:12 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IO
%define		pnam	stringy
Summary:	IO-stringy - I/O on in-core objects like strings and arrays
Summary(pl.UTF-8):	IO-stringy - operacje I/O na obiektach takich jak łańcuchy i tablice
Name:		perl-IO-stringy
Version:	2.110
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2e6a976cfa5521e815c1fdf4006982de
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This toolkit primarily provides modules for performing both
traditional and object-oriented I/O on things other than normal
filehandles; in particular, IO::Scalar, IO::ScalarArray, and
IO::Lines.

%description -l pl.UTF-8
Ten zestaw narzędzi dostarcza głównie modułów do wykonywania zarówno
tradycyjnych jak i obiektowo zorientowanych operacji wejścia/wyjścia
na rzeczach innych niż normalne uchwyty plików, w szczególności:
IO::Scalar, IO::ScalarArray i IO::Lines.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/IO/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IO-stringy.spec,v $
Revision 1.45  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.44  2007/02/12 00:49:36  baggins
- converted to UTF-8

Revision 1.43  2005/05/30 12:21:24  qboosh
- updated to 2.110 (bugfixes)

Revision 1.42  2004/11/03 22:30:27  paladine
- formatting

Revision 1.41  2004/05/06 18:09:43  ankry
- fixed perl-devel BR

Revision 1.40  2004/04/22 12:52:34  ankry
- license fixes & unification

Revision 1.39  2004/01/07 13:22:26  qboosh
- updated to 2.109, new-style bcond

Revision 1.38  2003/12/11 19:50:07  undefine
- release 7 to rebuild with ac

Revision 1.37  2003/09/09 10:24:38  ankry
- spaces -> tab

Revision 1.36  2003/08/18 08:08:52  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.35  2003/05/28 13:00:43  malekith
- massive attack: source-md5

Revision 1.34  2003/05/25 06:24:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.33  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.32  2003/03/01 19:37:17  radek
- should be ready for perl-5.8.0; release++

Revision 1.31  2003/02/24 20:31:54  radek
- use the __perl macro

Revision 1.30  2003/02/18 15:33:40  ankry
- massive attack: change CPAN URLs

Revision 1.29  2002/08/15 17:50:48  qboosh
- pl description, added conditional tests, release 5

Revision 1.28  2002/08/11 19:36:48  radek
- release up

Revision 1.27  2002/08/11 19:32:51  radek
- (automatic) provided informative description

Revision 1.26  2002/07/13 11:44:16  qboosh
- new %%doc

Revision 1.25  2002/07/10 08:47:44  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.24  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.23  2002/02/25 10:32:26  depesz
cleanup; revision++

Revision 1.22  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.21  2002/02/13 14:17:44  depesz
automatic: Source location unfied, Relase Up

Revision 1.20  2002/02/10 15:27:49  depesz
adapterized

Revision 1.19  2002/01/18 02:14:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.18  2001/09/10 12:55:49  mis
- autoupdated to 2.108

Revision 1.17  2001/08/27 11:13:38  mis
- autoupdated to 2.106

Revision 1.16  2001/08/20 09:27:50  mis
- autoupdated to 2.105

Revision 1.15  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.14  2001/04/17 12:11:14  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.13  2001/04/14 18:00:07  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.12  2001/04/04 15:37:36  mis
- autoupdated to 1.220

Revision 1.11  2001/02/28 18:59:04  mis
- updated (by autoup) to 1.219

Revision 1.10  2001/01/10 23:54:28  kloczek
- release 2: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.9  2000/11/12 04:00:56  kloczek
- updated to 1.216,
- use new rpm automation.

Revision 1.8  2000/09/05 00:48:53  kloczek
- updated to 1.213.

Revision 1.7  2000/06/09 07:54:50  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:37  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/20 21:58:00  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:54  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 19:27:21  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 23:49:20  pius
- initial release
